# BEGIN SourceDeps(oneline):
BuildRequires(pre): rpm-macros-fedora-compat rpm-macros-kde-common-devel
BuildRequires: gcc-c++
# END SourceDeps(oneline)
Name: kpassgen
Version: 1.4
Release: alt1_4
Summary: Random password creator

Group: File tools
License: GPLv2
URL: http://kde-apps.org/content/show.php/KPassGen?content=108673
Source0: http://sourceforge.net/projects/kpassgen/files/1.x/kpassgen-%{version}.tar.gz
Source1: kpassgen.png

BuildRequires: kde4libs-devel ctest cmake make qt4-devel desktop-file-utils
Requires: qt qt-x11
Source44: import.info

%description
Generates a set of random passwords of any length that can include the letter
a-z,A-Z,numbers,symbols and characters that QString can handle or hex values

%prep
%setup -q -n kpassgen

%build
mkdir -p %{_target_platform}
pushd %{_target_platform}
%{cmake_kde4} .. -DCMAKE_SHARED_LINKER_FLAGS="-Wl,--as-needed"
popd
make %{?_smp_mflags} -C %{_target_platform}

%install
make install/fast -C %{_target_platform} DESTDIR=%{buildroot}
mkdir -p %{buildroot}%{_datadir}/pixmaps
install -D -m 644 %{SOURCE1} %{buildroot}%{_datadir}/pixmaps/%{name}.png
desktop-file-validate %{buildroot}/%{_datadir}/applications/kde4/kpassgen.desktop

%post
touch --no-create %{_datadir}/pixmaps &>/dev/null || :

%postun
if [ $1 -eq 0 ] ; then
touch --no-create %{_datadir}/pixmaps &>/dev/null
fi

%files
%doc COPYING
%{_K4bindir}/kpassgen
%{_kde4_datadir}/applications/kde4/kpassgen.desktop
%{_kde4_datadir}/config.kcfg/*.kcfg
%{_kde4_datadir}/kde4/apps/kpassgen/kpassgenui.rc
%{_datadir}/pixmaps/%{name}.png

%changelog
* Fri Apr 26 2013 Igor Vlasenko <viy@altlinux.ru> 1.4-alt1_4
- initial fc import

